package com.pcloud.book.advertising.entity;

import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * (AdvertisingCpaPaySetting)实体类
 *
 * @author makejava
 * @since 2022-11-25 14:20:46
 */
@Data
public class AdvertisingCpaPaySetting extends BaseEntity {

    private static final long serialVersionUID = -92641933418831068L;
    
    @ApiModelProperty("cpa支付设置")
    private Long id;
    
    @ApiModelProperty("cpa_id")
    private Long cpaId;
    
    @ApiModelProperty("关系字段（年级、年龄）")
    private Long firstOptionItemId;
    
    @ApiModelProperty("关系字段（学科）")
    private Long secondOptionItemId;
    
    @ApiModelProperty("权益id")
    private String productPackageId;

    @ApiModelProperty("权益包名称")
    private String productName;
    
    @ApiModelProperty("商品金额")
    private BigDecimal payPrice;
    
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("关系字段（年级、年龄）")
    private String firstOptionItemText;

    @ApiModelProperty("关系字段（学科）")
    private String secondOptionItemText;


    @ApiModelProperty("微信端需要二级目录结构")
    private List<AdvertisingCpaPaySetting> cpaPaySettingList;
    
}
