package com.pcloud.book.book.vo.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.dto.BaseDto;

import java.util.Date;

import lombok.Data;

/**
 * @ClassName com.pcloud.book.book.vo.response.BookApprovalPcloudVO
 * @Author zhuyajie
 * @Description
 * @Date 2023/1/29 18:22
 **/
@Data
public class BookApprovalPcloudVO extends BaseDto {
    /**
     * 出版社ID
     */
    private Long agentId;
    /**
     * 出版社名称
     */
    private String agentName;
    /**
     * 渠道ID
     */
    private Long channelId;
    /**
     * 运营平台
     */
    private String channelName;
    /**
     * 编辑ID
     */
    private Long adviserId;
    /**
     * 编辑名称
     */
    private String adviserName;
    /**
     * 编辑手机号
     */
    private String adviserPhone;


    /**
     * 书籍ID
     */
    private Long bookId;
    /**
     * 书籍名称
     */
    private String bookName;
    /**
     * 条形码
     */
    private String isbn;
    private String coverImg;
    /**
     * 刊物序号
     */
    private String serialNumber;
    /**
     * 是否立项
     */
    private Integer isApproval;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdDate;

    /**
     * 第一级分类
     */
    private Long templetId;
    /**
     * 第二级分类
     */
    private Long secondTempletId;
    /**
     * 第三级分类
     */
    private Long thirdTempletId;
    /**
     * 年级标签id
     */
    private Long graLabelId;

    /**
     * 科目标签id
     */
    private Long subLabelId;

    /**
     * 版本标签id
     */
    private Long verLabelId;

    /**
     * 地域标签id
     */
    private Long areaLabelId;

    /**
     * 上下册标签id
     */
    private Long volLabelId;

    /**
     * 专业
     */
    private Long depLabelId;

    /**
     * 深度
     */
    private Long proLabelId;

    /**
     * 目的
     */
    private Long purLabelId;


    private String graLabelName;

    private String subLabelName;

    private String verLabelName;

    private String areaLabelName;

    private String volLabelName;

    private String depLabelName;

    private String proLabelName;

    private String purLabelName;

    private String adviserPwd;
    /**
     * 第一类型名称
     */
    private String templetName;
    /**
     * 第二类型名称
     */
    private String secondTempletName;
    /**
     * 第三类型名称
     */
    private String thirdTempletName;
}
